// Menu
function repair_shop_openNav() {
  jQuery(".sidenav").addClass('show');
}
function repair_shop_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function repair_shop_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const repair_shop_nav = document.querySelector( '.sidenav' );

      if ( ! repair_shop_nav || ! repair_shop_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...repair_shop_nav.querySelectorAll( 'input, a, button' )],
        repair_shop_lastEl = elements[ elements.length - 1 ],
        repair_shop_firstEl = elements[0],
        repair_shop_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && repair_shop_lastEl === repair_shop_activeEl ) {
        e.preventDefault();
        repair_shop_firstEl.focus();
      }

      if ( shiftKey && tabKey && repair_shop_firstEl === repair_shop_activeEl ) {
        e.preventDefault();
        repair_shop_lastEl.focus();
      }
    } );
  }
  repair_shop_keepFocusInMenu();
} )( window, document );

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});



// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// search
jQuery(document).ready(function () {
    function repair_shop_search_loop_focus(element) {
    var repair_shop_focus = element.find('select, input, textarea, button, a[href]');
    var repair_shop_firstFocus = repair_shop_focus[0];  
    var repair_shop_lastFocus = repair_shop_focus[repair_shop_focus.length - 1];
    var KEYCODE_TAB = 9;

    element.on('keydown', function repair_shop_search_loop_focus(e) {
      var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

      if (!isTabPressed) { 
        return; 
      }

      if ( e.shiftKey ) /* shift + tab */ {
        if (document.activeElement === repair_shop_firstFocus) {
          repair_shop_lastFocus.focus();
            e.preventDefault();
          }
        } else /* tab */ {
        if (document.activeElement === repair_shop_lastFocus) {
          repair_shop_firstFocus.focus();
            e.preventDefault();
          }
        }
    });
  }
  jQuery('.search-box span a').click(function(){
      jQuery(".serach_outer").slideDown(1000);
      repair_shop_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
      jQuery(".serach_outer").slideUp(1000);
  });
});

// Slider
jQuery('document').ready(function(){
  var owl = jQuery('#team-sec .owl-carousel');
    owl.owlCarousel({
    margin:0,
    loop: true,
    dots:false,
    autoplay : true,
    nav:true,
    navText : ['<i class="fa-solid fa-angle-left"></i>','<i class="fa-solid fa-angle-right"></i>'],
    responsive: {
      0: {
        items: 1,
      },
      600: {
        items: 1
      },
      992: {
        items: 2,
      },
      1200: {
        items: 2,
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const repair_shop_progressBar =
        document.getElementById("repair_shop_elemento_progress_bar");
    if (!repair_shop_progressBar) return;
    window.addEventListener("scroll", function () {
        const repair_shop_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const repair_shop_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const repair_shop_scrolled =
            (repair_shop_scrollTop / repair_shop_height) * 100;
        repair_shop_progressBar.style.width =
            repair_shop_scrolled + "%";
    });
});